<?php
/**
 * @package     Joomla.Plugin
 * @subpackage  System.Fitvids
 *
 * @copyright   Copyright (c) 2012 Joomla Bamboo. All rights reserved.
 * @license     GNU General Public License version 2 or later
 */

defined('JPATH_BASE') or die;


/**
 * System plugin to add fitvids.js to a site.
 *
 * @package     Joomla.Plugin
 * @author      Joomla Bamboo <design@joomlabamboo.com>
 * @subpackage  System.Fitvids
 * @version     1.0.2
 * @since       1.5
 */
class PlgSystemFitvids extends JPlugin
{
	/**
	 * Method to catch the onAfterRender event.
	 *
	 * This is a simple addition of the fitvids.js to the bottom of the page
	 *
	 */
	function onAfterRoute()
	{
		// Check that we are in the site application.
		if(JFactory::getApplication()->isAdmin()){return;}

		// Set the variables
		$modbase = JURI::root (true).'/media/fitvids/';
		$selector = $this->params->get('fitVidSelector');

		// Adjust the component buffer.
		$doc =& JFactory::getDocument();

		$doc->addScript($modbase.'jquery.fitvids.js');

		$fitvids =  'jQuery(document).ready(function(){';
		$fitvids .= '	jQuery("'.$selector.'").fitVids();';
		$fitvids .= '});';
		$doc->addScriptDeclaration( $fitvids );
	}
}
